%define oname  pybluez

Name:           python-pybluez
Version:        0.22
Release:        %mkrel 2
Summary:        Python wrappers around system Bluetooth resources
License:        GPLv2
Group:          Development/Python
URL:            https://pypi.org/project/PyBluez/
Source0:        https://github.com/karulis/pybluez/archive/%{version}/%{oname}-%{version}.tar.gz
BuildRequires:  pkgconfig(bluez)

%description
PyBluez is an effort to create python wrappers around system Bluetooth
resources to allow Python developers to easily and quickly create
Bluetooth applications.

%package -n     python3-%{oname}
Summary:        Python 3 wrappers around system Bluetooth resources
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
PyBluez is an effort to create python 3 wrappers around system Bluetooth
resources to allow Python developers to easily and quickly create
Bluetooth applications.

%prep
%setup -q -n %{oname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{oname}
%{python3_sitearch}/*.egg-info
%{python3_sitearch}/bluetooth/


%changelog
* Sat Apr 09 2022 TerryN <terryn94 at gmail.com> 0.22-2pclos2022
- rebuild for python 3.10

* Sun Mar 13 2022 tex - 0.22-1pclos2022
- build for kodi
